<nav id="headerNav" class="menu-container">
    <!-- Logo that links to home page -->
    <div class="logo">
        <a href="index.html" class="hidden">
            <img src="assets/images/header/logo.png" alt="The logo of the NAB-Lions Home for Aging Blind">
            <!-- The text for screen readers -->
            NAB Lions Home Logo
        </a>

        <!-- The text next to the logo -->
        <div class="logo-content">
            <span>The NAB-Lions</span>
            <span>Home for Aging Blind</span>
        </div>
    </div>

    <ul id="primaryNav">
        <!-- Home page link -->
        <!-- Handlebars registered helper for logic used to show a different background colour on the active page -->
        <li{{#if (eq pageName "index" )}} class="active" {{/if}}><a href="index.html">Home</a></li>
        <!-- Updates page link -->
        <li{{#if (eq pageName "updates" )}} class="active" {{/if}}><a href="updates.html">Updates</a></li>
        <!-- About page link -->
        <li{{#if (eq pageName "about" )}} class="active" {{/if}}><a href="about.html">About</a></li>
        <!-- Contact page link -->
        <li{{#if (eq pageName "contact" )}} class="active" {{/if}}><a href="contact.html">Contact</a></li>
        <!-- Empower Us page link -->
        <li{{#if (eq pageName "empower" )}} class="active" {{/if}}><a href="empower.html">Empower Us</a></li>
    </ul>

    <div class="nav-buttons">

        <!-- Shopping cart button -->
        <button id="cart" type="button" aria-label="Shopping cart" title="Shopping cart"
                onclick="window.location.href='empower.html#buyMerch'">
            <span>Shopping Cart</span>
            <span class="cart-overlay">0</span>
        </button>

        <!-- Burger button-->
        <button id="hamburger" class="burger-menu-open" type="reset" aria-label="Open Menu" title="Open Menu">
            <span>Open Menu</span>
        </button>
    </div>

</nav>

{{#if (ne pageName "empower")}}
    <!-- Donate button -->
    <button aria-label="Donate" id="donate" type="button" title="Donate" onclick="window.location.href='empower.html#donate'">
        Donate
    </button>
{{/if}}


<!-- Scroll back to the top button -->
<button id="scrollToTop" title="Scroll to top" aria-label="Scroll to top"><i class="fa fa-chevron-up"></i></button>


<!-- A wrapper div for styling and positioning the overall accessibility menu -->
<div class="accessibility-menu-container">
    <!-- Accessibility menu toggle button -->
    <button id="accessibilityMenuToggle" title="Toggle Accessibility Menu" type="reset" aria-label="Toggle Accessibility Menu">
        <i class="fa-solid fa-universal-access"></i>
    </button>
    <div id="accessibilityMenu" class="accessibility-menu">
        <!-- Grayscale toggle button -->
        <button id="themeToggle" title="Toggle Grayscale" type="reset" data-theme aria-label="Toggle grayscale">
            <i class="fa-solid fa-circle-half-stroke"></i>
        </button>
        <!-- Font Family toggle button -->
        <button id="fontChange" title="Toggle Font Family" type="reset" data-font-family aria-label="Toggle font family">
            <i class="fa-solid fa-font"></i>
        </button>
        <!-- Font Size toggle button -->
        <button id="fontSizeChange" title="Toggle Font Size" type="reset" data-font-size aria-label="Toggle font size">
            <i class="fa-solid fa-text-height"></i>
        </button>
        <!-- Link Underline toggle button -->
        <button id="underlineLinks" title="Toggle Link Underline" type="reset" aria-label="Toggle link underline">
            <i class="fa-solid fa-underline"></i>
        </button>
    </div>
</div>